[kernel] r8854 - people/waldi/redhat-cluster/openais/debian

Frederik Schüler fs at alioth.debian.org
Fri Jun 1 11:01:42 UTC 2007


Author: fs
Date: Fri Jun  1 11:01:41 2007
New Revision: 8854

Log:
add maintainer scripts to handle the openais system user


Added:
   people/waldi/redhat-cluster/openais/debian/openais.postinst
   people/waldi/redhat-cluster/openais/debian/openais.postrm

Added: people/waldi/redhat-cluster/openais/debian/openais.postinst
==============================================================================
--- (empty file)
+++ people/waldi/redhat-cluster/openais/debian/openais.postinst	Fri Jun  1 11:01:41 2007
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_version 2.0
+
+case "$1" in
+	configure)
+
+		if ! getent passwd Debian-ais > /dev/null ; then
+			echo 'Adding system-user for openais' 1>&2
+			adduser --system --group --home /var/lib/openais \
+			--no-create-home --disabled-login \
+			--force-badname Debian-ais > /dev/null
+		fi
+
+		chown Debian-ais:Debian-ais /var/lib/openais
+		chown Debian-ais:Debian-ais /var/log/openais	
+
+	;;
+esac
+
+
+# vim:tw=72

Added: people/waldi/redhat-cluster/openais/debian/openais.postrm
==============================================================================
--- (empty file)
+++ people/waldi/redhat-cluster/openais/debian/openais.postrm	Fri Jun  1 11:01:41 2007
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+	purge)
+		userdel  Debian-ais >/dev/null 2>&1 || true
+		groupdel Debian-ais >/dev/null 2>&1 || true
+	;;
+esac
+
+



More information about the Kernel-svn-changes mailing list